models/mapobjects/hubris/birch_01_leaves
{
	qer_alphaFunc greater 0.5
    surfaceparm alphashadow
    surfaceparm nonsolid
    cull none
    nopicmip
    deformVertexes wave 256 sin 0.5 0.8 0.2 0.4
    {
        map models/mapobjects/hubris/birch_01_leaves.tga
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

models/mapobjects/hubris/birch_01_bark
{
    q3map_nonPlanar
    q3map_shadeAngle 179
    q3map_lightmapMergable
    nopicmip
    {
        map models/mapobjects/hubris/birch_01_bark.jpg
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

models/mapobjects/hubris/fountain
{
    qer_editorImage models/mapobjects/hubris/fuente_difuso.jpg
    q3map_nonPlanar
    q3map_shadeAngle 179
    q3map_lightmapMergable
    surfaceparm trans
    {
        map models/mapobjects/hubris/fuente_difuso.jpg
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

models/mapobjects/hubris/misc_groundshrubs_01_a
{
    qer_editorImage models/mapobjects/hubris/misc_groundshrubs_01.tga
	qer_alphaFunc greater 0.5
    surfaceparm alphashadow
    surfaceparm nonsolid
    cull none
    nopicmip
    deformVertexes wave 48 sin 0.5 0.35 0 0.4
    {
        map models/mapobjects/hubris/misc_groundshrubs_01.tga
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

models/mapobjects/hubris/misc_groundshrubs_01_b
{
    qer_editorImage models/mapobjects/hubris/misc_groundshrubs_01.tga
	qer_alphaFunc greater 0.5
    surfaceparm alphashadow
    surfaceparm nonsolid
    cull none
    nopicmip
    deformVertexes wave 48 sin 0.5 0.35 0 0.4
    {
        map models/mapobjects/hubris/misc_groundshrubs_01.tga
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

models/mapobjects/hubris/misc_groundshrubs_01_c
{
    qer_editorImage models/mapobjects/hubris/misc_groundshrubs_01.tga
	qer_alphaFunc greater 0.5
    surfaceparm alphashadow
    surfaceparm nonsolid
    cull none
    nopicmip
    deformVertexes wave 48 sin 0.5 0.35 0 0.4
    {
        map models/mapobjects/hubris/misc_groundshrubs_01.tga
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

models/mapobjects/hubris/bush_01
{
    qer_editorImage models/mapobjects/hubris/bush_01.tga
    surfaceparm alphashadow
    surfaceparm nonsolid
    cull none
    nopicmip
    deformVertexes wave 48 sin 0.5 0.35 0 0.4
    {
        map models/mapobjects/hubris/bush_01.tga
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

// Rayban candle models, modified to use deformVertexes
// + tcMod stretch instead of .roq video for the flame

models/mapobjects/hubris/candlewax
{
    qer_editorImage models/mapobjects/hubris/wax.tga
    q3map_nonPlanar
    q3map_shadeAngle 179
    q3map_lightmapMergable
    {
        map textures/effects/envmap_slate.tga
        tcGen environment
        rgbGen identity
    }
    {
        map models/mapobjects/hubris/wax.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/mapobjects/hubris/wax_add.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.5 0.2 0 0.25
    }
}

models/mapobjects/hubris/candle_flame1
{
    qer_editorImage models/mapobjects/hubris/candle_flame.tga
    q3map_surfaceLight 50
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    noPicMip
    cull none
    deformVertexes wave 32 sin 0.5 0.5 0 0.25
    {
        map models/mapobjects/hubris/candle_flame.tga
        blendfunc GL_ONE GL_ONE
        tcMod stretch sin 1.11 0.1 0 0.25
        rgbGen identity
    }
}

models/mapobjects/hubris/candle_flame2
{
    qer_editorImage models/mapobjects/hubris/candle_flame.tga
    q3map_surfaceLight 50
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    noPicMip
    cull none
    deformVertexes wave 32 sin 0.5 0.5 0.25 0.25
    {
        map models/mapobjects/hubris/candle_flame.tga
        blendfunc GL_ONE GL_ONE
        tcMod stretch sin 1.11 0.1 0.25 0.25
        rgbGen identity
    }
}

models/mapobjects/hubris/candle_flame3
{
    qer_editorImage models/mapobjects/hubris/candle_flame.tga
    q3map_surfaceLight 50
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    noPicMip
    cull none
    deformVertexes wave 32 sin 0.5 0.5 0.5 0.25
    {
        map models/mapobjects/hubris/candle_flame.tga
        blendfunc GL_ONE GL_ONE
        tcMod stretch sin 1.11 0.1 0.5 0.25
        rgbGen identity
    }
}


models/mapobjects/hubris/candle_flame4
{
    qer_editorImage models/mapobjects/hubris/candle_flame.tga
    q3map_surfaceLight 50
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    noPicMip
    cull none
    deformVertexes wave 32 sin 0.5 0.5 0.75 0.25
    {
        map models/mapobjects/hubris/candle_flame.tga
        blendfunc GL_ONE GL_ONE
        tcMod stretch sin 1.11 0.1 0.75 0.25
        rgbGen identity
    }
}

// Socks book models (Edge of Forever)
models/mapobjects/hubris/book1_brown
{
	qer_editorimage models/mapobjects/hubris/hd_book1_brown.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/hubris/hd_book1_brown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

models/mapobjects/hubris/book1_openpages
{
	qer_editorimage models/mapobjects/hubris/hd_book1_openpages.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/hubris/hd_book1_openpages.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}