// LIGHT

textures/huwi/light1_3k
{
	qer_editorimage textures/huwi/light1.tga
	q3map_lightImage textures/huwi/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/huwi/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/huwi/light2_3k
{
	qer_editorimage textures/huwi/light2.tga
	q3map_lightImage textures/huwi/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/huwi/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .1 0 0.25
	}
}

// WOOD

textures/huwi/wood_brownlight
{
	surfaceparm woodsteps
	qer_editorimage textures/huwi/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/wood_browndark
{
	surfaceparm woodsteps
	qer_editorimage textures/huwi/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/wood_grey
{
	surfaceparm woodsteps
	qer_editorimage textures/huwi/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/wood_brownlight_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/huwi/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/wood_browndark_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/huwi/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/wood_grey_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/huwi/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/button_woodhand
{
	qer_editorImage textures/huwi/button_woodhand.tga
	q3map_nonPlanar
	q3map_shadeAngle 75
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/button_woodhand.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/huwi/button_woodshoot
{
	qer_editorImage textures/huwi/button_woodshoot.tga
	q3map_nonPlanar
	q3map_shadeAngle 75
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/huwi/button_woodshoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// OTHER

textures/huwi/stickgrenade
{
   qer_editorimage textures/huwi/stickgrenade.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/huwi/stickgrenade.tga
      blendfunc blend
   }
}

textures/huwi/decal_stain1
{
    qer_editorimage textures/huwi/decal_stain1.tga
    q3map_bounceScale 0
   surfaceparm nonsolid
    surfaceparm trans
   surfaceparm nomarks
    surfaceparm nolightmap
   polygonOffset
   {
      map textures/huwi/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/huwi/decal_stain2a
{
	qer_editorimage textures/huwi/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/huwi/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/huwi/decal_stain2b
{
	qer_editorimage textures/huwi/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/huwi/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/huwi/vortex				//texture + baseshader by FIREFLY
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		clampMap textures/huwi/vortex.tga
		blendFunc blend
		rgbGen vertex
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcmod rotate 10
	}
}

textures/huwi/floor_stone1_dirty
{
	qer_editorImage textures/huwi/ei/floor_stone1_dirty.tga
	surfaceparm nonsolid
	{
		map textures/huwi/floor_stone1.tga
		rgbGen identity
	}
	{
		map textures/huwi_terrain/rock_grey3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1.2 1.2
		alphaGen const 0.5
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// SKYBOX
textures/huwi/sky_grimmnight
{
	qer_editorImage textures/huwi/env/grimmnight_rt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 0.7 0.7 1.0 50 340 30 2 16
	q3map_skylight 50 8
	noPicMip
	noMipMaps
	noCompress

	skyparms textures/huwi/env/grimmnight - -
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.0
	}
}

// ALPHA

textures/huwi/ivy_5
{
	qer_editorimage textures/huwi/ivy_5.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip
	polygonOffset
	cull none
	{
		map textures/huwi/ivy_5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/huwi/flame_as2
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes autosprite2
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

// WATER

textures/huwi/qwater2
{
	qer_editorImage textures/huwi/qwater2.jpg
	qer_trans .5
	q3map_globalTexture
     q3map_surfacelight 25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/huwi/qwater2.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll .025 .01
	}
	{ 
		map textures/huwi/qwater2.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -.5 -.5
		tcMod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/huwi/water_green_fountain
{
	qer_editorImage textures/hubris/ei/water_green_fountain.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	cull none
	deformVertexes wave 128 sin 0 0.2 0.5 0.15
	{ 
		map textures/huwi/water_gw.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.2
		depthWrite
		tcMod turb 0 0.01 0 0.05
		rgbGen identity
	}
	{
		map textures/huwi/waterplant_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		tcMod scale 2 2
		tcMod turb 0 0.01 0 0.025
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/huwi/flag
{
	surfaceparm nomarks // added
	qer_editorimage textures/huwi/flag.tga

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/huwi/flag.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}